package cn.com.countrygarden.bi.main.model.mediaResource;

import cn.com.countrygarden.bi.main.util.entity.Audit;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

@Table(name="t_media_order_run_bill")
@Data
public class MediaOrderRunBill  implements Audit {
    @Id
    private String orderRunBillId; //` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '执行单明细',
    @Column(name = "run_bill_start_date")
    private Date runBillStartDate; //` datetime DEFAULT NULL COMMENT '执行开始时间',
    @Column(name = "run_bill_end_date")
    private Date runBillEndDate; //` datetime DEFAULT NULL COMMENT '执行结束时间',
    @Column(name = "media_id")
    private String mediaId; //` bigint(20) DEFAULT NULL COMMENT '媒体资源id',
    @Column(name = "unit_amount")
    private String unitAmount; //` decimal(10,2) DEFAULT NULL COMMENT '单价(计算得出)',
    @Column(name = "order_single_amount")
    private BigDecimal orderSingleAmount; //` decimal(10,2) DEFAULT NULL COMMENT '单类资源合同金额',
    @Column(name = "order_run_id")
    private String orderRunId; //` bigint(20) DEFAULT NULL COMMENT '执行单id',
    @Column(name = "remark")
    private String remark; //` varchar(250) DEFAULT NULL COMMENT '备注',
    @Column(name = "sort")
    private Integer sort; //` int(11) NOT NULL COMMENT '序号（从0开始）',
    @Column(name = "version")
    private Integer version; //` int(11) NOT NULL COMMENT '版本号（从0开始,每次加1）',
    @Column(name = "is_delete")
    private Integer isDelete; //` int(11) NOT NULL COMMENT '作废标记(1删除0非删除)',
    @Column(name = "create_time")
    private Date createTime; //` datetime NOT NULL COMMENT '录入时间(insert时间，JAVA代码插入)',
    @Column(name = "create_by")
    private String createBy; //` varchar(20) NOT NULL COMMENT '录入人员代码(Tb_Sys_User.UserCode，session获取JAVA插入)',
    @Column(name = "create_by_name")
    private String createByName; //` varchar(20) NOT NULL COMMENT '录入人员名称(update, session获取用户名称)',
    @Column(name = "mod_time")
    private Date modTime; //` datetime DEFAULT NULL COMMENT '修改时间（update时间，JAVA代码插入）',
    @Column(name = "mod_by")
    private String modBy; //` varchar(20) DEFAULT NULL COMMENT '修改人员代码（update，Tb_Sys_User.UserCode，session获取JAVA插入）',
    @Column(name = "mod_by_name")
    private String modByName; //` varchar(20) DEFAULT NULL COMMENT '修改人员名称(update, session获取用户名称,JAVA代码插入)',
    @Column(name = "order_bill_id")
    private String orderBillId;
}
